Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.restrictions
Class UserLayoutRestrictionFactory

    java.lang.Object
      org.jasig.portal.layout.restrictions.UserLayoutRestrictionFactory

    public class UserLayoutRestrictionFactory

extends java.lang.Object

UserLayoutRestrictionFactory class. The factory for layout restrictions

Version:
  $Revision: 1.9 $
Author:
  Michael Ivanov

Field Summary
`private static java.util.Properties` | `activeRestrictions`
`private static java.lang.String` | `RESTRICTIONS_PATH`

Constructor Summary
`UserLayoutRestrictionFactory()`

Method Summary
`static IUserLayoutRestriction` | `createRestriction(java.lang.String restrictionName)`
`static IUserLayoutRestriction` | `createRestriction(java.lang.String restrictionName, java.lang.String restrictionValue)`
`static IUserLayoutRestriction` | `createRestriction(java.lang.String restrictionName, java.lang.String restrictionValue, java.lang.String restrictionPath)`
`static java.util.Properties` | `getAvailableRestrictions()`
`private static IUserLayoutRestriction` | `getRestriction(java.lang.String className)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESTRICTIONS_PATH

    private static final java.lang.String RESTRICTIONS_PATH

See Also:
  Constant Field Values

### activeRestrictions

    private static java.util.Properties activeRestrictions

Constructor Detail

### UserLayoutRestrictionFactory

    public UserLayoutRestrictionFactory()

Method Detail

### getRestriction

    private static IUserLayoutRestriction getRestriction(java.lang.String className)
                                                  throws PortalException

  Throws:
    `PortalException`

### getAvailableRestrictions

    public static java.util.Properties getAvailableRestrictions()

### createRestriction

    public static IUserLayoutRestriction createRestriction(java.lang.String restrictionName)
                                                    throws PortalException

  Throws:
    `PortalException`

### createRestriction

    public static IUserLayoutRestriction createRestriction(java.lang.String restrictionName,
                                                           java.lang.String restrictionValue,
                                                           java.lang.String restrictionPath)
                                                    throws PortalException

  Throws:
    `PortalException`

### createRestriction

    public static IUserLayoutRestriction createRestriction(java.lang.String restrictionName,
                                                           java.lang.String restrictionValue)
                                                    throws PortalException

  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD